## ros-indigo-rosweb 1.0.7

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(rosweb)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS roslib rospy rosservice rosjson std_msgs)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})## Generate added messages and services with any dependencies listed here
#generate_messages(
#    #TODO DEPENDENCIES geometry_msgs std_msgs
#)

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS roslib rospy rosservice rosjson std_msgs
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

=== debian/changelog ===
ros-indigo-rosweb (1.0.7-2trusty) trusty; urgency=high

  * ros_apache2: updated dependencies to include necessary apache2 mod-python
  * Contributors: David Feil-Seifer

 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 21 Mar 2018 07:00:00 -0000

ros-indigo-rosweb (1.0.6-2trusty) trusty; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 20 Mar 2018 07:00:00 -0000

ros-indigo-rosweb (1.0.5-2trusty) trusty; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 14 Mar 2018 07:00:00 -0000

ros-indigo-rosweb (1.0.4-2trusty) trusty; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 14 Mar 2018 07:00:00 -0000

ros-indigo-rosweb (1.0.3-2trusty) trusty; urgency=high

  * update package.xml files to make David Feil-Seifer the official maintainer
  * Contributors: David Feil-Seifer

 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 14 Mar 2018 07:00:00 -0000

ros-indigo-rosweb (1.0.2-2trusty) trusty; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Thu, 18 Jun 2015 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-rosweb
Section: misc
Priority: extra
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rosjson, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-rosservice, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/rosweb
Standards-Version: 3.9.2

Package: ros-indigo-rosweb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rosjson, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-rosservice, ros-indigo-std-msgs
Description: rosweb is a temporary package to replace the original rosweb in the ROS repository.
 It is placed in the sandbox while development is ongoing, so we are not gated on ROS stack releases. When the server is more stable, it will be moved to the ROS repository and replace the old rosweb.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rosweb//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
